//==================================================================
//Copyright (c) 96,2000 Breadfruit Software (r)
//Author = Frederico Torminn
//E-mail = torminn@zipmail.com
//==================================================================
(*
=======================================================================================
			PACKAGE BFSOFT 99 COMPONENTS FOR DELPHI 4.0
=======================================================================================


	Introduction
-------------------- 

	This Package contains 23 components for Delphi 4, developed by Frederico Torminn, 
	without code-source, freeware. 
	If wants, enter in Contact (see Contact.txt or help). 
	
	Attention 
--------------------

	Breadfruit Software  and Frederico Torminn don't take the responsibility for any 
	damages that can be provoked by the use of anyone of these components ! 
	Use for its bill and risk. 
	Before to install or to use some of these components, see the License.txt or help. 
	
	Installation  
--------------------

	Everybody copies the files of the directory ' Pack99 ' for the directory of Delphi 
	or another of its preference.
	Compile Package 'BFSoft.dpk'.
	Open the men ' Component', ' Install Packages', ' Add' and locate the package 
	library 'BFSoft.bpl'. 
	The components will be installed in the brim ' BFSoft'. 

	Components  
--------------------

	All the components are initial versions ( 1.0 ).
	See the help file for more informations.

	The two components to proceed were developed in Portuguese: 
	TBFSOrdem- Ordinal value of the days of the month comes back ;
	TBFSContaMoeda- It counts notes and coins of a certain value; 

	The others of general use with properties and methods in English: 
	TBFSProtect	- For protection of applications ;
	TBFSRomano	- Roman numbers; 
	TBFSRainbow99	- Screen Fund in the colors of the Rainbow ;
	TBFSFundoTela	- Screen Fund in several tones and colors ;
	TBFSFontCombo	- TCombobox with the fonts of the system ;
	TBFSDBGridCor	- TDBGrid with lines of different colors ;
	TBFSDBGridRec	- TDBGrid with borders colored in each cell ;
	TBFSDBGridPaint	- TDBGrid with lines of varied colors ;
	TBFSGridV	- TStringGrid with colored columns ;
	TBFSGrid	- TStringGrid with cells of varied colors ;
	TBFSToTrash	- It moves files for the trash can of the system ;
	TBFSNoCtrlAltDel- It disables the command of keys  = Ctrl + Alt + Del;
	TBFSExitWin	- It restarts and it turns off the Windows;
	TBFSMonitor	- It verifies the resolution of monitors ;
	TBFSPaper	- It alters the size of the paper of the printer ;
	TBFSPanelFlick	- TPanel with animation ;
	TBFSEdit	- TEdit with color for entrance and exit and works with the key  'Enter';
	TBFSVShar	- To join applications with date ;
	TBFSLabel	- TLabel with two colors = left and right ;
	TBFSTAbout	- Box ' About' for applications ;
	TBFSRegExtension- It registers extensions of files in the registry of the system .


Copyright (c) 96,2000 Frederico Torminn - Brazil
*)

Unit BFSoft99;

interface

procedure Register;

implementation

Uses    Classes, bfsTRainbow99,bfscgrid,bfscgridv,bfsDBGridPaint,
        bfsDBGridRec,bfsEdit,bfsExitWin,bfsLabel,bfsMonitor,bfsPanelF,bfsPaper,
        bfsRegExt,bfsTAbout,bfsTContaMoeda,bfsTDBGridCor,bfsTFontCombo,bfsTFundoTela,
        bfsTOrdem,bfsToTrash,bfsTProtect,bfsCADAT,bfsTRomano,bfsVShar;

Procedure Register;

begin
RegisterComponents('BFSoft',[TBFSRainbow99, TBFSGrid, TBFSGridV, TBFSDBGridPaint,
                            TBFSDBGridRec, TBFSEdit, TBFSExitWin, TBFSLabel,
                            TBFSMonitor, TBFSPanelFlick, TBFSPaper, TBFSRegExtension,
                            TBFSTAbout, TBFSContaMoeda, TBFSDBGridCor, TBFSFontCombo,
			    TBFSFundoTela, TBFSOrdem, TBFSToTrash, TBFSProtect, TBFSNoCtrlAltDel,
			    TBFSRomano, TBFSVShar]);
end;
end.